Bug 658954 - [RFE] Update Trac to version 0.12 (EL6)
Summary: [RFE] Update Trac to version 0.12 (EL6)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: trac
Version: el6
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 658952
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-01 17:29 UTC by Bryan J Smith
Modified: 2014-09-15 00:11 UTC (History)
2 users (show)

Fixed In Version: trac-0.12.2-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 658952
Environment:
Last Closed: 2012-01-07 02:29:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 658962 None None None Never

Internal Links: 658962

Description Bryan J Smith 2010-12-01 17:29:00 UTC
+++ This bug was initially created as a clone of Bug #658952 +++

Description of problem:

Trac 0.11 is no longer the latest, stable release.[1]
On EL5, Trac 0.10 is no longer maintained.[1]
Consider updating to Trac 0.12, which does build on EL5 and EL6.[3]

Version-Release number of selected component (if applicable):

trac-0.11.x-x

How reproducible:

N/A

Steps to Reproduce:
1.
2.
3.
  
Actual results:

N/A

Expected results:

N/A

Additional info:

[1] per Trac Download Page:  
http://trac.edgewall.org/wiki/TracDownload#PreviousStableRelease
http://trac.edgewall.org/wiki/TracDownload#LatestStableReleaseforthe0.10.xline-0.10.5

[2] RPMForge (rf) builds Trac 0.12 for both EL5 and EL6:  
http://packages.sw.be/trac/  

There is only one, additional dependency issue.  Package python-genshi 0.6 is required.  Although Red Hat EL6 ships python-genshi 0.5, the current EPEL strategy for EL6 is already providing a python-genshi06 package ("06" appended) to address this for other packages:  
http://koji.fedoraproject.org/koji/packageinfo?packageID=11244  

Please consider addressing this long-term in Fedora/EPEL with a single, multi-dist SPEC/SRPMS for F15+, EL5 and EL6 with python-genshi[06]-0.6 ("06" not appended for F15+) and trac-0.12 package release.  The conditionals required should be minimal.

Comment 1 Jesse Keating 2011-04-04 21:55:18 UTC

*** This bug has been marked as a duplicate of bug 658952 ***

Comment 2 Jesse Keating 2011-04-04 21:55:42 UTC
oh oops, sorry about that

Comment 3 Jesse Keating 2011-04-04 21:59:00 UTC
There is more than just the python-genshi issue.  There are a number of plugins that will be in a bad space.  The plugin version to work with newer trac won't work with the older python on EL5.  It would require python26 and making sure those plugins work with the python26 package, and building versions of those plugins that won't stomp on the existing plugins.

In short, it'd require quite a bit of work, and I'm not willing to do that work.  With virt it's trivially easy to throw up a new el6 instance to house Trac.

Comment 4 Fedora Update System 2011-12-20 23:56:53 UTC
trac-0.12.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/trac-0.12.2-1.el6

Comment 5 Fedora Update System 2011-12-22 18:29:08 UTC
Package trac-0.12.2-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing trac-0.12.2-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2011-5313/trac-0.12.2-1.el6
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-01-07 02:29:41 UTC
trac-0.12.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.